package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcQlzxxddt;

/**
 * 清朗专项行动动态Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcQlzxxddtService 
{
    /**
     * 查询清朗专项行动动态
     * 
     * @param id 清朗专项行动动态主键
     * @return 清朗专项行动动态
     */
    public TcQlzxxddt selectTcQlzxxddtById(Long id);

    /**
     * 查询清朗专项行动动态列表
     * 
     * @param tcQlzxxddt 清朗专项行动动态
     * @return 清朗专项行动动态集合
     */
    public List<TcQlzxxddt> selectTcQlzxxddtList(TcQlzxxddt tcQlzxxddt);

    /**
     * 新增清朗专项行动动态
     * 
     * @param tcQlzxxddt 清朗专项行动动态
     * @return 结果
     */
    public int insertTcQlzxxddt(TcQlzxxddt tcQlzxxddt);

    /**
     * 修改清朗专项行动动态
     * 
     * @param tcQlzxxddt 清朗专项行动动态
     * @return 结果
     */
    public int updateTcQlzxxddt(TcQlzxxddt tcQlzxxddt);

    /**
     * 批量删除清朗专项行动动态
     * 
     * @param ids 需要删除的清朗专项行动动态主键集合
     * @return 结果
     */
    public int deleteTcQlzxxddtByIds(Long[] ids);

    /**
     * 删除清朗专项行动动态信息
     * 
     * @param id 清朗专项行动动态主键
     * @return 结果
     */
    public int deleteTcQlzxxddtById(Long id);


    /**
     * 导入清朗专项行动动态信息
     *
     * @return 结果
     */
    public String importUser(List<TcQlzxxddt> tTcQlzxxddtList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
